"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Html5EntryWebpackPlugin = void 0;
const HtmlWebpackPlugin = require("html-webpack-plugin");
const cheerio_1 = require("cheerio");
const fs_1 = require("fs");
const path_1 = require("path");
const helpers_1 = require("./helpers");
class Html5EntryWebpackPlugin {
    constructor(options = {}) {
        this.options = options;
    }
    apply(compiler) {
        const entry = compiler.options.entry;
        const [template] = (0, helpers_1.getTemplates)(entry);
        if (template) {
            const src = (0, path_1.dirname)(template);
            const templateContent = (0, cheerio_1.load)((0, fs_1.readFileSync)(template, 'utf8'));
            const entries = (0, helpers_1.extractParts)(templateContent).map(entry => (0, path_1.join)(src, entry));
            compiler.options.plugins.push(new HtmlWebpackPlugin({
                ...this.options,
                templateContent: templateContent.html(),
            }));
            (0, helpers_1.setEntries)(compiler.options, template, entries);
        }
    }
}
exports.Html5EntryWebpackPlugin = Html5EntryWebpackPlugin;
//# sourceMappingURL=index.js.map